#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QtGui>
#include "editorscene.h"
#include "loopdialog.h"
#include "edge.h"
#include "helix.h"
#include "editorscene.h"
#include "dialog.h"

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow {
    Q_OBJECT
public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();
    Node *n3,*n5;

public slots:
    void modeGroupClicked(int);
    void deleteClicked();
    void editClicked();
    void exportClicked();
    void save();
    void load();
    void newScene();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::MainWindow *ui;
    void initialize();
    EditorScene *scene;
    QButtonGroup *modeGroup;

};

#endif // MAINWINDOW_H
